import React, { Component } from 'react';
import { Suggestion } from '../../src/index';

const readmePath = require('./../../src/components/suggestion/README.md');

export default class View extends Component {

    constructor(props) {
        super(props);
    }

    render() {
        return (
            <div>
                <table>
                    <tbody>
                        <tr>
                            <td valign="top"
                                colSpan="5"
                                width="700px">
                                <h2>Suggestion</h2>
                                <Suggestion />
                            </td>
                            <td valign="top"
                                colSpan="5">
                                <div className="code">
                                    {
                                        `import { Suggestion } from 'tsdev-react-components;
                                        `
                                    }
                                    <br />
                                    <br />
                                    {`<Suggestion
                                        />`
                                    }
                                </div>
                                <div className="markdown">
                                    <article dangerouslySetInnerHTML={{ __html: readmePath }} />
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        );
    }
}
